import request from '@/utils/request'

// 查询氮气实时数据列表
export function listRecordNitrogenInstant(query) {
  return request({
    url: '/ems/record/recordNitrogenInstant/list',
    method: 'get',
    params: query
  })
}

// 查询氮气实时数据详细
export function getRecordNitrogenInstant(objId) {
  return request({
    url: '/ems/record/recordNitrogenInstant/' + objId,
    method: 'get'
  })
}

// 新增氮气实时数据
export function addRecordNitrogenInstant(data) {
  return request({
    url: '/ems/record/recordNitrogenInstant',
    method: 'post',
    data: data
  })
}

// 修改氮气实时数据
export function updateRecordNitrogenInstant(data) {
  return request({
    url: '/ems/record/recordNitrogenInstant',
    method: 'put',
    data: data
  })
}

// 删除氮气实时数据
export function delRecordNitrogenInstant(objId) {
  return request({
    url: '/ems/record/recordNitrogenInstant/' + objId,
    method: 'delete'
  })
}
